Migrations

Create and queue a migration import task, from an export created via the migration partial-export api

POST /api/migrations/import

The migration API provides the ability to back-up and restore parts of an Octopus Deploy instance remotely Further details can be found in the docs.

Request Body

  • DeletePackageOnCompletion boolean
  • FailureCallbackUri string
  • IsDryRun boolean
  • IsEncryptedPackage boolean
  • OverwriteExisting boolean
  • PackageFeedSpaceId string
  • PackageId string (required)
  • PackageVersion string (required)
    Minimum length 1.
  • Password string (required)
    Minimum length 1.
  • SuccessCallbackUri string

Response

200 — The requested import task that has been queued.

  • DeletePackageOnCompletion boolean
  • FailureCallbackUri string
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsDryRun boolean
  • IsEncryptedPackage boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • OverwriteExisting boolean
  • PackageFeedSpaceId string
  • PackageId string
  • PackageVersion string
  • Password string
  • SuccessCallbackUri string
  • TaskId string

Example Request

JSON
{
  "DeletePackageOnCompletion": true,
  "FailureCallbackUri": "string",
  "IsDryRun": true,
  "IsEncryptedPackage": true,
  "OverwriteExisting": true,
  "PackageFeedSpaceId": "string",
  "PackageId": "string",
  "PackageVersion": "string",
  "Password": "string",
  "SuccessCallbackUri": "string"
}

Example Response

JSON
{
  "DeletePackageOnCompletion": true,
  "FailureCallbackUri": "string",
  "Id": "string",
  "IsDryRun": true,
  "IsEncryptedPackage": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "OverwriteExisting": true,
  "PackageFeedSpaceId": "string",
  "PackageId": "string",
  "PackageVersion": "string",
  "Password": "string",
  "SuccessCallbackUri": "string",
  "TaskId": "string"
}

Create and queue a partial-export migration task

POST /api/migrations/partialexport

The migration API provides the ability to back-up and restore parts of an Octopus Deploy instance remotely Further details can be found in the docs.

Request Body

  • DestinationApiKey string
  • DestinationPackageFeed string
  • DestinationPackageFeedSpaceId string
  • EncryptPackage boolean
  • FailureCallbackUri string
  • IgnoreCertificates boolean
  • IgnoreDeployments boolean
  • IgnoreMachines boolean
  • IgnoreTenants boolean
  • IncludeTaskLogs boolean
  • PackageId string
  • PackageVersion string
  • Password string (required)
    Minimum length 1.
  • Projects array of string (required)
  • SpaceId string
  • SuccessCallbackUri string

Response

200 — The requested partial export task that has been queued.

  • DestinationApiKey string
  • DestinationPackageFeed string
  • DestinationPackageFeedSpaceId string
  • EncryptPackage boolean
  • FailureCallbackUri string
  • Id string
    Gets or sets a unique identifier for this resource.
  • IgnoreCertificates boolean
  • IgnoreDeployments boolean
  • IgnoreMachines boolean
  • IgnoreTenants boolean
  • IncludeTaskLogs boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • PackageId string
  • PackageVersion string
  • Password string
  • Projects array of string
  • SpaceId string
  • SuccessCallbackUri string
  • TaskId string

Example Request

JSON
{
  "DestinationApiKey": "string",
  "DestinationPackageFeed": "string",
  "DestinationPackageFeedSpaceId": "string",
  "EncryptPackage": true,
  "FailureCallbackUri": "string",
  "IgnoreCertificates": true,
  "IgnoreDeployments": true,
  "IgnoreMachines": true,
  "IgnoreTenants": true,
  "IncludeTaskLogs": true,
  "PackageId": "string",
  "PackageVersion": "string",
  "Password": "string",
  "Projects": [
    "string"
  ],
  "SpaceId": "string",
  "SuccessCallbackUri": "string"
}

Example Response

JSON
{
  "DestinationApiKey": "string",
  "DestinationPackageFeed": "string",
  "DestinationPackageFeedSpaceId": "string",
  "EncryptPackage": true,
  "FailureCallbackUri": "string",
  "Id": "string",
  "IgnoreCertificates": true,
  "IgnoreDeployments": true,
  "IgnoreMachines": true,
  "IgnoreTenants": true,
  "IncludeTaskLogs": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "PackageId": "string",
  "PackageVersion": "string",
  "Password": "string",
  "Projects": [
    "string"
  ],
  "SpaceId": "string",
  "SuccessCallbackUri": "string",
  "TaskId": "string"
}